DryRunAlertRuleUpdate
Dry-run an update to preview changes without persisting them
POST
/api/v1/alerting/rules/{ruleId}/dry-runOperation ID
DryRunAlertRuleUpdateSince
1.0.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonPath Parameters
ruleIdStringRequiredUUID of the rule to dry-run update against
Body Fields
inputObjectRequiredNew rule input to validate against current state
nameStringRule name to validate
Example: High CPU Usage
promqlStringPromQL expression for the rule
Example: avg(cpu_usage_percent) > 90
thresholdLongThreshold value for the rule
Example: 90
forStringDuration string for the for clause
Example: 5m
